Subject: bug#62451: 29.0.60; nnselect-request-threads assumes gnus-search-use-parsed-queries

From: Sean Whitton <[email-masked]>
Date: Sat, 25 Mar 2023 16:16:53 -0700

X-debbugs-cc: [email-masked]

nnselect-request-threads generates a query in Gnus's generic search
language and expects gnus-search-prepare-query to convert it to a raw
query.  But if gnus-search-use-parsed-queries is nil, as it is by
default, then this doesn't happen, and the search engine receives a
query it can't understand.  For example, notmuch receives a query like
"id:<foo> or id:<bar>" when it should receive "id:foo or id:bar".

This breaks the gnus-summary-refer-thread command.

One way to fix it is to add a binding (gnus-search-use-parsed-queries t)
to the let* form in which the call to gnus-search-run-query is made.

-- 
Sean Whitton